<?php
/**
 * This file is part of OXID eSales PayPal module.
 *
 * OXID eSales PayPal module is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * OXID eSales PayPal module is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OXID eSales PayPal module.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @link      http://www.oxid-esales.com
 * @copyright (C) OXID eSales AG 2003-2016
 */

/**
 * PayPal response class for do express checkout payment
 */
class oePayPalResponseDoExpressCheckoutPayment extends oePayPalResponse
{

    /**
     * Return transaction id.
     *
     * @return string
     */
    public function getTransactionId()
    {
        return $this->_getValue('PAYMENTINFO_0_TRANSACTIONID');
    }

    /**
     * Return transaction id.
     *
     * @return string
     */
    public function getCorrelationId()
    {
        return $this->_getValue('CORRELATIONID');
    }

    /**
     * Return payment status.
     *
     * @return string
     */
    public function getPaymentStatus()
    {
        return $this->_getValue('PAYMENTINFO_0_PAYMENTSTATUS');
    }

    /**
     * Return price amount.
     *
     * @return string
     */
    public function getAmount()
    {
        return ( float ) $this->_getValue('PAYMENTINFO_0_AMT');
    }

    /**
     * Return currency code.
     *
     * @return string
     */
    public function getCurrencyCode()
    {
        return $this->_getValue('PAYMENTINFO_0_CURRENCYCODE');
    }
}
